/*
 * Copyright (c) 2024 Qualcomm Innovation Center, Inc. All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause-Clear
 */

#ifndef __ELPPKA_CMDS_H__
#define __ELPPKA_CMDS_H__


enum {
	PKA_CMD_BIT_SERIAL_MOD = 0,
	PKA_CMD_BIT_SERIAL_MOD_DP = 1,
	PKA_CMD_C25519_PMULT = 2,
	PKA_CMD_CALC_MP = 3,
	PKA_CMD_CALC_R_INV = 4,
	PKA_CMD_CALC_R_SQR = 5,
	PKA_CMD_CRT = 6,
	PKA_CMD_CRT_KEY_SETUP = 7,
	PKA_CMD_ED25519_PADD = 8,
	PKA_CMD_ED25519_PDBL = 9,
	PKA_CMD_ED25519_PMULT = 10,
	PKA_CMD_ED25519_PVER = 11,
	PKA_CMD_ED25519_SHAMIR = 12,
	PKA_CMD_IS_A_M3 = 13,
	PKA_CMD_IS_P_EQUAL_Q = 14,
	PKA_CMD_IS_P_REFLECT_Q = 15,
	PKA_CMD_MODADD = 16,
	PKA_CMD_MODDIV = 17,
	PKA_CMD_MODEXP = 18,
	PKA_CMD_MODINV = 19,
	PKA_CMD_MODMULT = 20,
	PKA_CMD_MODSUB = 21,
	PKA_CMD_PADD = 22,
	PKA_CMD_PADD_STD_PRJ = 23,
	PKA_CMD_PDBL = 24,
	PKA_CMD_PDBL_STD_PRJ = 25,
	PKA_CMD_PMULT = 26,
	PKA_CMD_PVER = 27,
	PKA_CMD_REDUCE = 28,
	PKA_CMD_SHAMIR = 29,
	PKA_CMD_STD_PRJ_TO_AFFINE = 30,
	PKA_CMD_LAST = 31,
};


#endif // __ELPPKA_CMDS_H__


